curl --request PATCH \
--url https://api.anhome.tuanle.dev/api/v1/maintenance-tickets/{ticket_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"reported_by_name": "<string>",
"reported_by_contact": "<string>"
}
'import requests
url = "https://api.anhome.tuanle.dev/api/v1/maintenance-tickets/{ticket_id}"
payload = {
"title": "<string>",
"description": "<string>",
"reported_by_name": "<string>",
"reported_by_contact": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
reported_by_name: '<string>',
reported_by_contact: '<string>'
})
};
fetch('https://api.anhome.tuanle.dev/api/v1/maintenance-tickets/{ticket_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"display": {
"priority": {
"value": "PARTIALLY_PAID",
"label": "Thanh toán một phần"
},
"status": {
"value": "PARTIALLY_PAID",
"label": "Thanh toán một phần"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"renter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reported_by_name": "<string>",
"reported_by_contact": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_at": "2023-11-07T05:31:56Z"
},
"request_id": "<string>",
"meta": {}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}Update maintenance ticket
Updates maintenance ticket status, priority, assignment, or resolution details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Maintenance ticket ID
Body
Maintenance ticket status, priority, assignment, and resolution updates.
Request payload for update maintenance ticket.
title value for update maintenance ticket request.
1 - 160Human-readable description for the resource or line item.
1 - 2000priority value for update maintenance ticket request.
LOW, NORMAL, HIGH, URGENT Current lifecycle or operational status.
OPEN, IN_PROGRESS, RESOLVED, CANCELLED reported by name value for update maintenance ticket request.
160reported by contact value for update maintenance ticket request.
160Response
Updated maintenance ticket
Endpoint-specific response payload. See the referenced schema for the resource fields.
Show child attributes
Show child attributes
Request correlation identifier returned from X-Request-Id or generated by the API.
Optional response metadata such as pagination limits, counts, or export context.